API referenceLegacy imports
Cancel
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
runId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/admin/legacy-imports/string/cancel" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "bundleObjectKey": "string", "bundleChecksum": "string", "sourceSnapshotTimestamp": "string", "sourceVersion": "string", "converterVersion": "string", "status": "uploaded", "mode": "dry_run", "selectedWorkspaceCount": 0, "sourceCounts": { "property1": 0, "property2": 0 }, "targetCounts": { "property1": 0, "property2": 0 }, "warnings": [ "string" ], "errors": [ "string" ], "approvedAt": "string", "canceledByUserId": "string", "cancellationReason": "string", "rollbackRequestedByUserId": "string", "rollbackReason": "string", "startedAt": "string", "completedAt": "string", "createdAt": "string", "updatedAt": "string", "workspaces": [ { "id": "string", "sourceWorkspaceId": "string", "targetWorkspaceId": "string", "selected": true, "stage": "queued", "lifecycleState": "string", "counts": { "property1": 0, "property2": 0 }, "warnings": [ "string" ], "verification": {}, "rollbackState": "string", "attempt": 0, "lastError": "string" } ] }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}